みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

PHPとApacheの連携

Apacheのインストールはできたのですが、PHPでApacheとPHPを関連づけるのに必要なhttpd.confの設定でつまづいてしまいました。
参考書に書いてある事とは違っていたのでどうすればいいのかわからなくなってしまいました。どなたかよろしくお願いいたします。
参考書では
173行目にLoadModule php5_module c:php/php5apache2.dll
699行目にAddDefaultCharset none
794行目にAddType application/x-httpd-php .php

となっているのですが、
たとえば699行目にAddDefaultCharset noneとなっているので
参考書に載ってる
700行目のAddCharset ISO-8859-1 .iso8859-1 .latin1
を検索しようとしたのですが引っかからず自力で探したのですが、みつかりませんでした。
ですので
699行目のAddDefaultCharset none
をどこに記入すればいいのかわからなくなってしまいました。
ちなみに
794行目AddType application/x-httpd-php .php
もどこに打ったらいいのかわかりません。

よろしくお願いいたします!

投稿日時 - 2006-06-07 15:23:51

QNo.2201030

困ってます

質問者が選んだベストアンサー

参考書と実際のApacheのバージョンはあっていますか?バージョンが異なっているとhttpd.confの内容も異なります。

それと、3つの設定個所はhttpd.confで間違いありませんが、検索の仕方が間違っているようです。

検索する場合、それぞれ「LoadModule」「AddDefaultCharset」「AddType」となります。

3つの設定項目の個所はApache/1.3.22で確認しました。

投稿日時 - 2006-06-07 15:36:57

補足

早速の回答ありあとうございます!
Apacheのバージョンを書き忘れていました。申し訳ありません。
Apacheの2.2.2をダウンロードしました。
それで言われた検索をしてみたのですが、やはり引っかからずどこに上記699行目にAddDefaultCharset none
794行目にAddType application/x-httpd-php .php
を記述すればいいのかわかりませんでした。参考書は古いバージョンの物です。参考書にあわせて古いバージョンにするしかないのでしょうか?

投稿日時 - 2006-06-08 00:41:18

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(1)